Bug 1467536 - Seeing timer errors in the rebalance logs
Summary: Seeing timer errors in the rebalance logs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rpc
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: RHGS 3.4.0
Assignee: Mohit Agrawal
QA Contact: Prasad Desala
URL:
Whiteboard:
Depends On: 1538427 1542934
Blocks: 1503134
TreeView+ depends on / blocked
 
Reported: 2017-07-04 07:21 UTC by Prasad Desala
Modified: 2018-09-17 12:57 UTC (History)
8 users (show)

Fixed In Version: glusterfs-3.12.2-4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1538427 1542934 (view as bug list)
Environment:
Last Closed: 2018-09-04 06:32:36 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:34:40 UTC

Description Prasad Desala 2017-07-04 07:21:53 UTC
Description of problem:
=======================
I have seen below timer error in rebalance logs after remove-brick completion,
however I didn't see any functionality impact here, remove-brick rebalance completed without any failures.

[2017-07-04 05:34:58.215846] W [glusterfsd.c:1290:cleanup_and_exit] (-->/lib64/libpthread.so.0(+0x7e25) [0x7f07e0176e25] -->/usr/sbin/glusterfs(glusterfs_sigwaiter+0xe5) [0x561a54853005] -->/usr/sbin/glusterfs(cleanup_and_exit+0x6b) [0x561a54852e2b] ) 0-: received signum (15), shutting down
[2017-07-04 05:34:58.220109] I [timer.c:212:gf_timer_registry_init] (-->/lib64/libglusterfs.so.0(+0x3782d) [0x7f07e132482d] -->/lib64/libgfrpc.so.0(+0xfac3) [0x7f07e10dfac3] -->/lib64/libglusterfs.so.0(gf_timer_call_after+0x215) [0x7f07e1324b65] ) 0-timer: ctx cleanup started
[2017-07-04 05:34:58.220307] E [timer.c:44:gf_timer_call_after] (-->/lib64/libglusterfs.so.0(+0x3782d) [0x7f07e132482d] -->/lib64/libgfrpc.so.0(+0xfac3) [0x7f07e10dfac3] -->/lib64/libglusterfs.so.0(gf_timer_call_after+0x25b) [0x7f07e1324bab] ) 0-timer: !reg
[2017-07-04 05:34:58.220352] W [rpc-clnt.c:168:call_bail] 0-glusterfs: Cannot create bailout timer for 127.0.0.1:24007

Version-Release number of selected component (if applicable):
3.8.4-32.el7rhgs.x86_64

How reproducible:
Reporting the first occurrence.

Steps to Reproduce:
===================
1) Create a distrbuted-replicate volume and start it.
2) cifs mount the volume on multiple clients.
3) From client-1 -> start creating files and from a diff terminal start continuous lookups.
   wait for some time and from client-2 -> Start creating hardlinks
4) Remove few bricks and wait till the remove-brick operation completes.

After completion of remove-brick, check rebalance logs and you will see above timer error messages.

Actual results:
===============
Seeing timer errors in rebalance logs.

Expected results:
=================
No timer error messages should come in rebalance logs.

Comment 12 Prasad Desala 2018-04-17 14:24:07 UTC
On glusterfs version 3.12.2-7.el7rhgs.x86_64, followed the same steps as in the description and didn't see these timer errors in rebalance logs.

Moving this BZ to Verified.

Comment 13 errata-xmlrpc 2018-09-04 06:32:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.